SuSE 11.3 Security Update : OpenSSL (SAT Patch Number 9598)

Medium Nessus Plugin ID 77299

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

This OpenSSL update fixes the following security issue :

- Information leak in pretty printing functions.
(CVE-2014-3508). (bnc#890764)

- Double Free when processing DTLS packets.
(CVE-2014-3505). (bnc#890767)

- DTLS memory exhaustion. (CVE-2014-3506). (bnc#890768)

- DTLS memory leak from zero-length fragments.
(CVE-2014-3507). (bnc#890769)

- DTLS anonymous EC(DH) denial of service (CVE-2014-3510).
(bnc#890770)

Solution

Apply SAT patch number 9598.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=890764

https://bugzilla.novell.com/show_bug.cgi?id=890767

https://bugzilla.novell.com/show_bug.cgi?id=890768

https://bugzilla.novell.com/show_bug.cgi?id=890769

https://bugzilla.novell.com/show_bug.cgi?id=890770

http://support.novell.com/security/cve/CVE-2014-3505.html

http://support.novell.com/security/cve/CVE-2014-3506.html

http://support.novell.com/security/cve/CVE-2014-3507.html

http://support.novell.com/security/cve/CVE-2014-3508.html

http://support.novell.com/security/cve/CVE-2014-3510.html

Plugin Details

Severity: Medium

ID: 77299

File Name: suse_11_libopenssl-devel-140812.nasl

Version: Revision: 1.3

Type: local

Agent: unix

Published: 2014/08/21

Updated: 2015/01/28

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:libopenssl0_9_8, p-cpe:/a:novell:suse_linux:11:libopenssl0_9_8-32bit, p-cpe:/a:novell:suse_linux:11:libopenssl0_9_8-hmac, p-cpe:/a:novell:suse_linux:11:libopenssl0_9_8-hmac-32bit, p-cpe:/a:novell:suse_linux:11:openssl, p-cpe:/a:novell:suse_linux:11:openssl-doc, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/08/12

Reference Information

CVE: CVE-2014-3505, CVE-2014-3506, CVE-2014-3507, CVE-2014-3508, CVE-2014-3510